
package com.tmerclub.cloud.supplier.vo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author tmerclub
 * @date 2020/9/2
 */
public class SupplierUserSimpleVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 供应商名称
     */
    @Schema(description = "供应商名称")
    private String supplierName;
    /**
     * 用户名称
     */
    @Schema(description = "用户名称")
    private String userName;

    /**
     * 头像
     */
    @Schema(description = "头像")
    private String avatar;

    private Integer isAdmin;

    @Schema(description = "供应商是否已经入驻 0: 未入驻，1：已入驻")
    private Integer isPassShop;

    private Long tenantId;

    private Long userId;


    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public Integer getIsAdmin() {
        return isAdmin;
    }

    public void setIsAdmin(Integer isAdmin) {
        this.isAdmin = isAdmin;
    }

    public Integer getIsPassShop() {
        return isPassShop;
    }

    public void setIsPassShop(Integer isShop) {
        this.isPassShop = isShop;
    }

    public Long getTenantId() {
        return tenantId;
    }

    public void setTenantId(Long tenantId) {
        this.tenantId = tenantId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return "SupplierUserSimpleVO{" +
                "supplierName='" + supplierName + '\'' +
                ", userName='" + userName + '\'' +
                ", avatar='" + avatar + '\'' +
                ", isAdmin=" + isAdmin +
                ", isPassShop=" + isPassShop +
                ", tenantId=" + tenantId +
                ", userId=" + userId +
                '}';
    }
}
